<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>waveform</name>
  <program_name>waveform</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
  <use_widget_names>False</use_widget_names>
  <output_main_file>True</output_main_file>
  <output_support_files>True</output_support_files>
  <output_build_files>True</output_build_files>
  <backup_source_files>True</backup_source_files>
  <main_source_file>interface.c</main_source_file>
  <main_header_file>interface.h</main_header_file>
  <handler_source_file>callbacks.c</handler_source_file>
  <handler_header_file>callbacks.h</handler_header_file>
  <support_source_file>support.c</support_source_file>
  <support_header_file>support.h</support_header_file>
  <translatable_strings_file></translatable_strings_file>
</project>

<widget>
  <class>GtkWindow</class>
  <name>waveform_window</name>
  <signal>
    <name>whatever</name>
    <handler>gdam_waveform_window_debug_msg</handler>
    <last_modification_time>Thu, 28 Oct 1999 21:11:34 GMT</last_modification_time>
  </signal>
  <title>GDAM Waveform Viewer</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>
  <visible>False</visible>

  <widget>
    <class>GtkVBox</class>
    <name>vbox1</name>
    <signal>
      <name>whatever</name>
      <handler>gdam_waveform_table_debug_msg</handler>
      <last_modification_time>Thu, 28 Oct 1999 21:18:41 GMT</last_modification_time>
    </signal>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkHBox</class>
      <name>hbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkEventBox</class>
	<name>eventbox1</name>
	<signal>
	  <name>drag_data_get</name>
	  <handler>gdam_waveform_canvas_drag_data_get</handler>
	  <last_modification_time>Fri, 29 Oct 1999 18:08:39 GMT</last_modification_time>
	</signal>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkDrawingArea</class>
	  <name>canvas</name>
	  <width>700</width>
	  <height>300</height>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_waveform_canvas_debug_msg</handler>
	    <last_modification_time>Thu, 28 Oct 1999 21:12:00 GMT</last_modification_time>
	  </signal>
	</widget>
      </widget>

      <widget>
	<class>GtkVScrollbar</class>
	<name>scale_range</name>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_waveform_scale_range_debug_msg</handler>
	  <last_modification_time>Thu, 28 Oct 1999 21:21:41 GMT</last_modification_time>
	</signal>
	<policy>GTK_UPDATE_CONTINUOUS</policy>
	<value>5</value>
	<lower>0</lower>
	<upper>10</upper>
	<step>0.1</step>
	<page>0.5</page>
	<page_size>0.1</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkHScrollbar</class>
      <name>position_range</name>
      <signal>
	<name>whatever</name>
	<handler>gdam_waveform_position_range_debug_msg</handler>
	<last_modification_time>Thu, 28 Oct 1999 22:13:45 GMT</last_modification_time>
      </signal>
      <policy>GTK_UPDATE_CONTINUOUS</policy>
      <value>0</value>
      <lower>0</lower>
      <upper>0</upper>
      <step>0.1</step>
      <page>1</page>
      <page_size>0</page_size>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkHBox</class>
	<name>buttonbox</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label1</name>
	  <label>Position:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>position_label</name>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_waveform_position_label_debug_msg</handler>
	    <last_modification_time>Fri, 29 Oct 1999 21:21:58 GMT</last_modification_time>
	  </signal>
	  <label>000.000</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>9</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label2</name>
	  <label>BPM:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>bpm_sbutton</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_waveform_bpm_sbutton_debug_msg</handler>
	    <last_modification_time>Thu, 28 Oct 1999 22:16:36 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>90</value>
	  <lower>30</lower>
	  <upper>300</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>4</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label3</name>
	  <label>Firstbeat:</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>firstbeat_sbutton</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_waveform_firstbeat_sbutton_debug_msg</handler>
	    <last_modification_time>Thu, 28 Oct 1999 22:18:00 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>True</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>10000</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>4</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHScale</class>
	<name>density_range</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_waveform_density_range_debug_msg</handler>
	  <last_modification_time>Thu, 28 Oct 1999 22:18:31 GMT</last_modification_time>
	</signal>
	<draw_value>True</draw_value>
	<value_pos>GTK_POS_TOP</value_pos>
	<digits>1</digits>
	<policy>GTK_UPDATE_CONTINUOUS</policy>
	<value>20</value>
	<lower>1</lower>
	<upper>40</upper>
	<step>0.1</step>
	<page>1</page>
	<page_size>0.1</page_size>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
